waitCodevz(() => {

	let resizeTask;
	const footer = document.querySelector('.cz_fixed_footer');
	if ( footer ) {
		const observer = new ResizeObserver(() => {
			clearTimeout(resizeTask);
			resizeTask = setTimeout(() => {
				const winW = window.innerWidth;
				if (footer) {
					const sticky = document.querySelector('.cz-sticky-add-to-cart');
					document.body.style.marginBottom = (footer.offsetHeight + (sticky?.offsetHeight || 0)) + 'px';
				}
			}, 1000 ); 
		});

		observer.observe( footer );
	}

});